Plugin error from dada2:R and Traceback

Hello!
I got the following error log when running quality control with DADA2:
qiime dada2 denoise-paired
–i-demultiplexed-seqs demux.qza
–p-n-threads 3
–p-trim-left-f 0
–p-trim-left-r 0
–p-trunc-len-f 280
–p-trunc-len-r 280
–o-table table-dada2.qza
–o-representative-sequences rep-seqs-dada2.qza
–o-denoising-stats denoising-stats-dada2.qza
Here is the error log

Running external command line application(s). This may print messages to stdout and/or stderr
The command(s) being run are below. These commands cannot be manually re-run as they will dep

Command: run_dada_paired.R /home/yuli/TMP_Dir/tmpktpm35qo/forward /home/yuli/TMP_Dir/tmpktpm3

R version 3.4.3 (2017-11-30)
Error: package ‘dada2’ was installed by an R version with different internals; it needs to be
Execution halted
Traceback (most recent call last):
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise
run_commands([cmd])
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise
subprocess.run(cmd, check=True)
File “/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in ru
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command '[‘run_dada_paired.R’, '/home/yuli/TMP_Dir/tmpktpm35qo

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py
results = action(**arguments)
File "</home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:dec
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action
output_types, provenance)
File "/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action
output_views = self._callable(**view_args)
File “/home/yuli/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise
" and stderr to learn more.” % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect

Thanks for helping!!!

I used the qiime2-2019.4 version, I think it may be the problem of R version?
I can run the whole process using the single end data and tutorials that from https://docs.qiime2.org/2019.7/tutorials/fmt/,but it did not work when I use this tutorials’ data and tutorials. It is so wired and bored me.

Hi there @cyy!

This is not the version of R shipped with QIIME 2 - my guess is something in your environment is off, perhaps you have an RPATH value set? Please run the command env and return the results here. Thanks! :t_rex:

Hi @thermokarst!
Thanks a lot! This is the result about running the env. env.txt (15.9 KB)

Hi @thermokarst
Sorry about providing you the incomplete error log, and here is the complete log.error log.txt (2.6 KB)
Thanks!:blush:

Thanks for sharing the env results — I was looking for an RPATH variable, but didn’t see one set (this is usually the guilty culprit here). One thing that did jump out at me is you PATH, which looks pretty jam-packed with things. Please run which R both before and after activating your QIIME 2 environment, and return the results here.

Hi @thermokarst
Thanks a lot. I have update R to 3.6.1, and it could work at now.
There is another problem when I run the phylogeny plugin:
I notic that
“/home/yuli/lixs/software/prank/bin/mafft: line 1195: /home/yuli/lixs/software/pr
ank/bin/lib/replaceu: No such file or directory.”
How can I solve it? Need I update the qiime2-2019.7?
Thanks again!

Blockquote
nseq = 2659
nlen =
distance = sixtuples
iterate = 0
cycle = 2
/home/yuli/lixs/software/prank/bin/mafft: line 1195: /home/yuli/lixs/software/pr
ank/bin/lib/replaceu: No such file or directory
ED1lfnSh/pre: No such file or directory
Traceback (most recent call last):
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cl
i/commands.py”, line 327, in call
results = action(**arguments)
File “</home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/dec
orator.py:decorator-gen-477>”, line 2, in mafft
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiim
e2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiim
e2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_a
lignment/_mafft.py”, line 85, in mafft
run_command(cmd, aligned_fp)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_alignment/_mafft.py”, line 27, in run_command
subprocess.run(cmd, stdout=output_f, check=True)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘mafft’, ‘–preservecase’, ‘–inputorder’, ‘–thread’, ‘1’, ‘/home/yuli/TMP_Dir/qiime2-archive-fmhs7exr/e1aa4400-1266
-4faa-8ec0-13f5708dc2db/data/dna-sequences.fasta’]’ returned non-zero exit status 1.

Hi @colinbrislawn ,
I have some problem when running the phylogeny plugin. Please have a look the error log:

nseq = 2659
nlen =
distance = sixtuples
iterate = 0
cycle = 2
/home/yuli/lixs/software/prank/bin/mafft: line 1195: /home/yuli/lixs/software/pr
ank/bin/lib/replaceu: No such file or directory
ED1lfnSh/pre: No such file or directory
Traceback (most recent call last):
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2cl
i/commands.py”, line 327, in call
results = action(**arguments)
File “</home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/dec
orator.py:decorator-gen-477>”, line 2, in mafft
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiim
e2/sdk/action.py”, line 240, in bound_callable
output_types, provenance)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/qiim
e2/sdk/action.py”, line 383, in callable_executor
output_views = self._callable(**view_args)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_a
lignment/_mafft.py”, line 85, in mafft
run_command(cmd, aligned_fp)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/site-packages/q2_alignment/_mafft.py”, line 27, in run_command
subprocess.run(cmd, stdout=output_f, check=True)
File “/home/yuli/anaconda3/envs/qiime2-2019.7/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘mafft’, ‘–preservecase’, ‘–inputorder’, ‘–thread’, ‘1’, ‘/home/yuli/TMP_Dir/qiime2-archive-fmhs7exr/e1aa4400-1266
-4faa-8ec0-13f5708dc2db/data/dna-sequences.fasta’]’ returned non-zero exit status 1.

Here’s the important part of the error:

/home/yuli/lixs/software/prank/bin/mafft: line 1195: /home/yuli/lixs/software/pr
ank/bin/lib/replaceu: No such file or directory
ED1lfnSh/pre: No such file or directory

Looks like either those directories don’t exist, or you don’t have permission to read/write to them.

Maybe they are misspelled? :man_shrugging:

Let us know what you find!
Colin

@cyy — this problem (

)

appears to me to be another symptom of the same underlying issue - your PATH is likely inconsistent and causing all kinds of little issues like this.

1 Like